ADate(3)

NAME
ADate - The ADate class is responsible for input/output of Dates and handling the different Date Formats.

SYNOPSIS

#include <adate.h>

  Static Public Member Functions
static QDate formatInput (QString user_input, Opl::Date::ADateFormat format)
formatInput takes a user-provided input and tries to convert it to a QDate.
static QString toString (const QDate &date, Opl::Date::ADateFormat format=Opl::Date::ADateFormat::ISODate)
Reimplements QDate::toString to accept Opl::Date::ADateFormat enums.
static const QStringList & getDisplayNames ()
static const QString getFormatString (Opl::Date::ADateFormat format)

Detailed Description

The ADate class is responsible for input/output of Dates and handling the different Date Formats.

Member Function Documentation

  QDate ADate::formatInput (QString user_input, Opl::Date::ADateFormat format) [static]

formatInput takes a user-provided input and tries to convert it to a QDate.

Returns
    QDate (invalid if input not recognized)

Author

Generated automatically by Doxygen for openPilotLog from the source code.